spring:
  datasource:
    url: ${BASECMS_DB_URL:jdbc:log4jdbc:mariadb://dev2.dataeum.kr:3316/base}
    username: ${BASECMS_DB_USER:base_user}
    password: ${BASECMS_DB_PASSWORD:base_pass}
    driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
  jpa:
    open-in-view: false
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        format_sql: true
        show_sql: false
  servlet:
    multipart:
      max-file-size: 1000MB
      max-request-size: 1000MB

# 에러 응답 상세 설정(개발환경 기준)
server:
  error:
    include-message: always
    include-binding-errors: always
    include-stacktrace: on_param

logging:
  level:
    root: INFO
    # SQL 출력(하이버네이트)
    org.hibernate.SQL: DEBUG
    org.hibernate.orm.jdbc.bind: TRACE
    # SQL 출력(log4jdbc)
    jdbc.sqlonly: DEBUG
    jdbc.sqltiming: DEBUG
    jdbc.resultset: DEBUG
    jdbc.audit: OFF
    jdbc.connection: OFF

# 운영환경에서는 환경변수로 접속 정보를 주입
